esphome:
  name: pir-unit-1
  friendly_name: "Floor - PIR Unit #1"

esp32:
  board: esp32-c6-devkitc-1
  variant: esp32c6
  flash_size: 4MB
  framework:
    type: esp-idf
    version: 5.1.2
    platform_version: 6.5.0 # Need at least 6.4 for ESP32-C6
    sdkconfig_options:
      CONFIG_ESPTOOLPY_FLASHSIZE_4MB: y

wifi:
  ssid: "FoxNet 69"
  password: "Th3M0$t$tup1dP4$$w0rdY0uW1ll3v3r$33"

  # Optional manual IP
  manual_ip:
    static_ip: 192.168.2.15
    gateway: 192.168.2.1
    subnet: 255.255.255.0
# Enable logging
logger:

# Enable Home Assistant API

api:
  reboot_timeout: 0s

http_request:

ota:
  - platform: esphome
    id: ota_esphome
  - platform: http_request
    id: ota_http_request

binary_sensor:
  - platform: gpio
    pin: 1
    name: "PIR Sensor"
    id: pir_sensor
    device_class: motion
    filters:   
    - delayed_off: 10s
